# ConfigurableEmitter.Value (Slick - The 2D Library)
Date: 2013-06-03

## org.newdawn.slick.particles
Interface ConfigurableEmitter.Value

All Known Implementing Classes:
  ConfigurableEmitter.LinearInterpolator, ConfigurableEmitter.RandomValue, ConfigurableEmitter.SimpleValue

Enclosing class:
  ConfigurableEmitter

    public static interface ConfigurableEmitter.Value

a general interface to provide a general value :]

Author:
  void

Method Summary
`float` `getValue(float time)` get the current value that might depend from the given time

Method Detail

### getValue

    float getValue(float time)

  get the current value that might depend from the given time

  Parameters:
    `time` -
  Returns:
    the current value

Copyright © 2006 New Dawn Software. All Rights Reserved.